This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 447051 - Rhytmbox uses a deprecated URL to download cover art
Rhytmbox uses a deprecated URL to download cover art
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 09:11 EDT by Chris Gordon
Modified: 2009-01-09 01:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Gordon 2008-05-17 09:11:33 EDT
Description of problem:

The version of Rhythmbox availably on Fedora 8 tries to grab cover art via
http://xml.amazon.com/onca/xml3.  From loading this page in a browser, you can
see that Amazon has deprecated this service/url on 31 March 2008.  The result is
that no cover art is downloaded/displayed by Rhythmbox (unless you have
something already cached).

Version-Release number of selected component (if applicable):
0.11.3-7.fc8 (and probably before)

How reproducible:
100% of the time

Steps to Reproduce:
1. Start rhythmbox
2. Enable cover art plugin
3. Start playing a song and watch that no cover art is downloaded or displayed
  
Actual results:

No cover art is downloaded or displayed.

Expected results:

Cover art is downloaded and displayed.

Additional info:

An ubuntu forum had a link to where this was fixed in Rhythmbox SVN.
Comment 1 Sævaldur Arnar Gunnarsson 2008-05-26 21:03:51 EDT
This is still broken in Fedora 9 (rythmbox-0.11.5-9.fc9.i386)
Comment 2 Bastien Nocera 2008-05-27 04:17:43 EDT
(In reply to comment #1)
> This is still broken in Fedora 9 (rythmbox-0.11.5-9.fc9.i386)

https://admin.fedoraproject.org/updates/F9/FEDORA-2008-3709
Comment 3 Dawid Zamirski 2008-10-13 13:01:33 EDT
I'm not getting the cover image after I moved to F10 Beta. There have been a few updates since then but covers still don't load. 

rpm -q rhythmbox
rhythmbox-0.11.6-13.5966.fc10.x86_64
Comment 4 Bastien Nocera 2008-10-13 13:48:41 EDT
(In reply to comment #3)
> I'm not getting the cover image after I moved to F10 Beta. There have been a
> few updates since then but covers still don't load. 
> 
> rpm -q rhythmbox
> rhythmbox-0.11.6-13.5966.fc10.x86_64

File a new bug, this definitely has nothing to do with the problem discussed in this bug.
Comment 5 Bug Zapper 2008-11-26 05:43:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:31:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.